Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface TextComponent

All Superinterfaces:
  ContentComponent, WCMApiObject

All Known Subinterfaces:
  ShortTextComponent

    public interface TextComponent

extends ContentComponent

Represents a Text component.

A `TextComponent` is a `ContentComponent` and cannot be stored as a separate entity in the repository.

A `TextComponent` contains plain text. This interface provides methods to retrieve and set the text contained within this component.

note: since `v6.0.0`, a `TextComponent` is referred to as an `"Text Element"`in the Authoring UI.``

See Also:
  `ContentComponent`

Method Summary
`DocumentType<? extends TextComponent>` | `getDocumentType()` Returns the `DocumentType` of the `ContentComponent`.
`java.lang.String` | `getText()` Returns the text contained in this component as a `String`.
`void` | `setText(java.lang.String text)` Sets the plain text contained in this `TextComponent`.

Methods inherited from interface com.ibm.workplace.wcm.api.ContentComponent
`getContainer, getName`

Method Detail

### getDocumentType

    DocumentType<? extends TextComponent> getDocumentType()

  Description copied from interface: `ContentComponent`
  Returns the `DocumentType` of the `ContentComponent`.

  Specified by:
    `getDocumentType` in interface `ContentComponent`
  Returns:
    the type
  See Also:
    `ContentComponent.getDocumentType()`

### getText

    java.lang.String getText()

  Returns the text contained in this component as a `String`.

  Returns:
    the text

### setText

    void setText(java.lang.String text)

  Sets the plain text contained in this `TextComponent`.

  Parameters:
    `text` - the text

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD